=== po/CMakeLists.txt ===
add_subdirectory(fcitx5-configtool)
add_subdirectory(org.fcitx.fcitx5.kcm)
