=== debian/changelog ===
fcitx5-configtool (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 14:24:46 -0500

fcitx5-configtool (5.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Sep 2022 15:37:29 -0400
