## fcitx5-configtool 5.0.17

=== debian/changelog ===
fcitx5-configtool (5.0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 16:58:27 -0400
