=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Shengjing Zhu <zhsj@debian.org>,
 Build-Depends:
- cmake (>= 3.3),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
