=== debian/changelog ===
fcitx5-configtool (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:42:34 -0400
