=== debian/changelog ===
fcitx5-configtool (5.1.2-1deepin6) unstable; urgency=medium

  * Don't display the desktop entry of keyboard layout viewer

 -- zsien <quezhiyong@deepin.org>  Tue, 21 May 2024 15:30:17 +0800

fcitx5-configtool (5.1.2-1deepin5) unstable; urgency=medium

  * Add Fix_select_all_checkbox_inconsistent.patch.

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 22 Mar 2024 14:21:12 +0800

fcitx5-configtool (5.1.2-1deepin4) unstable; urgency=medium

  * fix #7442
  * fix #7443

 -- Mike Chen <chenke@deepin.org>  Tue, 12 Mar 2024 13:57:54 +0800

fcitx5-configtool (5.1.2-1deepin3) unstable; urgency=medium

  * fix #6900

 -- Mike Chen <chenke@deepin.org>  Thu, 29 Feb 2024 17:42:31 +0800

fcitx5-configtool (5.1.2-1deepin2) unstable; urgency=medium

  * fix #7166

 -- Mike Chen <chenke@deepin.org>  Mon, 26 Feb 2024 11:33:48 +0800

fcitx5-configtool (5.1.2-1deepin1) unstable; urgency=medium

  * add Fix_6417_not_loading_qt_translations.patch.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 02 Jan 2024 14:51:00 +0800

fcitx5-configtool (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 14:49:58 -0500

fcitx5-configtool (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Oct 2023 18:36:24 -0400
