=== debian/changelog ===
fcitx5-configtool (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:20:39 -0400

fcitx5-configtool (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.install: Tweak following upstream changes.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 23:53:15 -0500
