## fcitx5-configtool 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.4)
+project(fcitx5-configtool VERSION 5.1.6)
 
-option(USE_QT6 "Build with Qt6" Off)
+option(USE_QT6 "Build with Qt6" On)
 
 if (USE_QT6)
 set(QT_MIN_VERSION "6.5.0")
