=== debian/changelog ===
fcitx5-configtool (5.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:32:12 -0400

fcitx5-configtool (5.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly use Qt5.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 20:08:54 -0400
