## fcitx5-configtool 5.1.7

=== debian/changelog ===
fcitx5-configtool (5.1.7-2) unstable; urgency=medium

  * Build with Qt6

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Dec 2024 06:55:46 +0800

fcitx5-configtool (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 14:53:55 -0400
