=== debian/control ===
--- 
+++ 
@@ -11,24 +11,27 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- kirigami2-dev (>= 5.68.0),
- libfcitx5-qt-dev (>= 5.1),
+ libfcitx5-qt6-dev (>= 5.1),
  libfcitx5core-dev (>= 5.1),
  libfcitx5utils-dev (>= 5.1),
- libkf5coreaddons-dev,
- libkf5declarative-dev,
- libkf5i18n-dev,
- libkf5package-dev,
- libkf5plasma-dev,
- libqt5svg5-dev,
- libqt5x11extras5-dev,
+ libkf6coreaddons-dev,
+ libkf6declarative-dev,
+ libkf6i18n-dev,
+ libkf6iconthemes-dev,
+ libkf6itemviews-dev,
+ libkf6kcmutils-dev,
+ libkf6package-dev,
+ libkf6svg-dev,
+ libkf6widgetsaddons-dev,
+ libkirigami-dev,
+ libplasma-dev,
  libxkbcommon-dev,
  libxkbfile-dev,
- pkg-config,
- qtbase5-dev (>= 5.12),
- qtquickcontrols2-5-dev,
+ pkgconf,
+ qt6-base-dev (>= 6.5),
+ qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
@@ -37,15 +40,14 @@
 Package: fcitx5-config-qt
 Architecture: any
 Depends:
- libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ fcitx5-configtool-data (<< 5.0.15),
  kde-config-fcitx5 (<< 0.0~git20200822),
+Replaces:
  fcitx5-configtool-data (<< 5.0.15),
-Replaces:
  kde-config-fcitx5 (<< 0.0~git20200822),
- fcitx5-configtool-data (<< 5.0.15),
 Provides:
  fcitx5-configtool,
 Recommends:
@@ -66,9 +68,6 @@
 Architecture: any
 Depends:
  kde-cli-tools,
- libqt5svg5,
- qml-module-org-kde-kcm,
- qml-module-org-kde-kirigami2,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
