## fcitx5-configtool 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.6)
+project(fcitx5-configtool VERSION 5.1.8)
 
 option(USE_QT6 "Build with Qt6" On)
 
@@ -44,8 +44,15 @@
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")
 add_definitions(-DQT_NO_KEYWORDS)
 
+set(CONFIG_QT_UNIQUE_APP_SUPPORT 0)
 if (ENABLE_CONFIG_QT)
     find_package(KF${QT_MAJOR_VERSION}ItemViews REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}DBusAddons 5.91)
+    find_package(KF${QT_MAJOR_VERSION}WindowSystem 5.91)
+
+    if (TARGET KF${QT_MAJOR_VERSION}::DBusAddons AND TARGET KF${QT_MAJOR_VERSION}::WindowSystem)
+        set(CONFIG_QT_UNIQUE_APP_SUPPORT 1)
+    endif()
 endif()
 
 if (ENABLE_KCM)
