=== src/migrator/pinyin/CMakeLists.txt ===
add_library(pinyinmigrator STATIC pinyinmigrator.cpp)
target_link_libraries(pinyinmigrator Fcitx5Migrator)
target_compile_definitions(pinyinmigrator PRIVATE "-DQT_STATICPLUGIN")
set_target_properties(pinyinmigrator PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
