=== debian/changelog ===
fcitx5-configtool (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep libkf6dbusaddons-dev,
    libkf6windowsystem-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 20:56:36 -0500
