=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Boyuan Yang <byang@debian.org>,
  Shengjing Zhu <zhsj@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
  iso-codes,
@@ -15,6 +15,7 @@
  libfcitx5core-dev (>= 5.1),
  libfcitx5utils-dev (>= 5.1),
  libkf6coreaddons-dev,
+ libkf6dbusaddons-dev,
  libkf6declarative-dev,
  libkf6i18n-dev,
  libkf6iconthemes-dev,
@@ -23,6 +24,7 @@
  libkf6package-dev,
  libkf6svg-dev,
  libkf6widgetsaddons-dev,
+ libkf6windowsystem-dev,
  libkirigami-dev,
  libplasma-dev,
  libxkbcommon-dev,
