## fcitx5-configtool 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,25 +11,14 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.8)
+project(fcitx5-configtool VERSION 5.1.10)
 
-option(USE_QT6 "Build with Qt6" On)
-
-if (USE_QT6)
-set(QT_MIN_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.4.0")
 set(QT_MAJOR_VERSION 6)
-else()
-set(QT_MIN_VERSION "5.12.0")
-set(QT_MAJOR_VERSION 5)
-endif()
 
 find_package(ECM 5.68.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Concurrent)
-
-if (QT_MAJOR_VERSION STREQUAL 5)
-find_package(Qt${QT_MAJOR_VERSION}X11Extras ${QT_MIN_VERSION} CONFIG REQUIRED)
-endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -64,25 +53,13 @@
     find_package(KF${QT_MAJOR_VERSION}Declarative REQUIRED)
     find_package(KF${QT_MAJOR_VERSION}IconThemes REQUIRED)
     find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)
-
-
-    if (QT_MAJOR_VERSION STREQUAL 5)
-        find_package(KF${QT_MAJOR_VERSION}Plasma REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}Kirigami2 5.68 REQUIRED)
-        if (KF${QT_MAJOR_VERSION}Kirigami2_VERSION VERSION_LESS 5.76)
-            set(DISABLE_UNDER_KIRIGAMI2_5_76 "//Needs Kirigami2 5.76 ")
-        else()
-            set(DISABLE_UNDER_KIRIGAMI2_5_76 "")
-        endif()
-    elseif (QT_MAJOR_VERSION STREQUAL 6)
-        find_package(KF${QT_MAJOR_VERSION}Kirigami REQUIRED)
-        find_package(Plasma REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}Svg REQUIRED)
-        find_package(KF${QT_MAJOR_VERSION}KCMUtils REQUIRED)
-    endif()
+    find_package(KF${QT_MAJOR_VERSION}Kirigami REQUIRED)
+    find_package(Plasma REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}Svg REQUIRED)
+    find_package(KF${QT_MAJOR_VERSION}KCMUtils REQUIRED)
 endif()
 
-find_package(Fcitx5Core 5.0.4 REQUIRED)
+find_package(Fcitx5Core 5.1.13 REQUIRED)
 find_package(Fcitx5Config REQUIRED)
 find_package(Fcitx5Utils REQUIRED)
 find_package(Fcitx5Qt${QT_MAJOR_VERSION}DBusAddons 5.1.4 REQUIRED)
