=== src/lib/configwidgetslib/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,14 @@
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
 )
 target_include_directories(configwidgetslib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
-target_link_libraries(configwidgetslib Qt5::Core Qt5::Widgets Qt5::X11Extras KF5::WidgetsAddons KF5::ItemViews Fcitx5::Utils Fcitx5Qt5::DBusAddons Fcitx5Qt5::WidgetsAddons configlib layoutlib)
+target_link_libraries(configwidgetslib
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
+    #Qt${QT_MAJOR_VERSION}::X11Extras
+    KF${QT_MAJOR_VERSION}::WidgetsAddons
+    KF${QT_MAJOR_VERSION}::ItemViews
+    Fcitx5::Utils
+    Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons
+    Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
+    configlib
+    layoutlib)
