=== src/migrator/lib/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     log.cpp
     configmigrator.cpp
     )
-target_link_libraries(Fcitx5Migrator Qt5::Core Qt5::Concurrent Qt5::DBus Fcitx5::Config Fcitx5::Utils Fcitx5Qt5::DBusAddons )
+target_link_libraries(Fcitx5Migrator Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Concurrent Qt${QT_MAJOR_VERSION}::DBus Fcitx5::Config Fcitx5::Utils Fcitx5Qt${QT_MAJOR_VERSION}::DBusAddons )
 set_target_properties(Fcitx5Migrator PROPERTIES
     VERSION ${Fcitx5Migrator_VERSION}
     SOVERSION ${Fcitx5Migrator_SOVERSION}
