=== debian/changelog ===
fcitx5-configtool (5.1.10-2) unstable; urgency=medium

  * Rebuild with GCC 15. (Closes: #1096616)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Sep 2025 11:09:13 -0400

fcitx5-configtool (5.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:13:55 -0400
