=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  qt6-base-dev (>= 6.5),
  qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
