=== po/CMakeLists.txt ===
add_subdirectory(fcitx5-configtool)
add_subdirectory(kcm_fcitx5)
