=== po/fcitx5-configtool/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-configtool)
