=== src/configtool/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,16 @@
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
 
 target_link_libraries(fcitx5-config-qt
-    Qt${QT_MAJOR_VERSION}::Widgets configwidgetslib
+    Qt${QT_MAJOR_VERSION}::Widgets
+    configwidgetslib
 )
+
+if (CONFIG_QT_UNIQUE_APP_SUPPORT)
+    target_link_libraries(fcitx5-config-qt
+        KF${QT_MAJOR_VERSION}::DBusAddons
+        KF${QT_MAJOR_VERSION}::WindowSystem
+    )
+endif()
 
 install(TARGETS fcitx5-config-qt DESTINATION ${CMAKE_INSTALL_BINDIR})
 fcitx5_translate_desktop_file(org.fcitx.fcitx5-config-qt.desktop.in
