=== src/lib/CMakeLists.txt ===
add_subdirectory(configlib)

if (ENABLE_CONFIG_QT)
add_subdirectory(configwidgetslib)
endif()
