=== debian/changelog ===
fcitx5-configtool (5.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 09:51:06 -0400

fcitx5-configtool (5.1.10-3) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain again.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:31:45 -0400
