=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- libfcitx5-qt6-dev (>= 5.1),
- libfcitx5core-dev (>= 5.1),
- libfcitx5utils-dev (>= 5.1),
+ libfcitx5-qt6-dev (>= 5.1.10-3~),
+ libfcitx5core-dev (>= 5.1.14-4~),
+ libfcitx5utils-dev (>= 5.1.14-4~),
  libkf6coreaddons-dev,
  libkf6dbusaddons-dev,
  libkf6declarative-dev,
