=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-configtool/ \
 fcitx5-configtool-@ANY_VERSION@@ARCHIVE_EXT@
