## fcitx5-configtool 5.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.1.11)
+project(fcitx5-configtool VERSION 5.1.12)
 
 set(QT_MIN_VERSION "6.4.0")
 set(QT_MAJOR_VERSION 6)
