=== debian/changelog ===
fcitx5-configtool (5.1.12-1build1) resolute; urgency=medium

  * Rebuild for Plasma 6.6.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 08:18:27 +0000

fcitx5-configtool (5.1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 22:27:41 -0500
