=== debian/control ===
--- 
+++ 
@@ -26,15 +26,14 @@
  libkf6widgetsaddons-dev,
  libkf6windowsystem-dev,
  libkirigami-dev,
- libplasma-dev,
+ libplasma-dev (>= 6.6.1),
  libxkbcommon-dev,
  libxkbfile-dev,
  pkgconf,
  qt6-base-dev (>= 6.5),
  qt6-declarative-dev,
  xkb-data,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-configtool.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-configtool
